-- Init ********************
-- Setter opp testdatabasen for demoen.
CREATE DATABASE Bank
GO
USE Bank
GO
IF OBJECT_ID('usp_Init', 'P') IS NOT NULL
	DROP PROC usp_Init
GO
CREATE PROC usp_Init
AS
BEGIN
	IF OBJECT_ID(N'dbo.Foo', N'U') IS NOT NULL
		DROP TABLE Foo
	IF OBJECT_ID(N'dbo.Bar', N'U') IS NOT NULL
		DROP TABLE Bar
	IF OBJECT_ID(N'dbo.Konto', N'U') IS NOT NULL
		DROP TABLE Konto
	
	CREATE TABLE Konto
	(
		KontoId int primary key not null,
		Navn varchar(50) not null,
		Saldo int not null CHECK (Saldo >= 0)
	)

	INSERT INTO Konto VALUES (1, 'Hans Olav', 1000)
	INSERT INTO Konto VALUES (2, 'Gran', 900)
	INSERT INTO Konto VALUES (3, 'Nissen', 2000)
END
GO